## vzdump 1.2.6

=== Makefile ===
#
# Makefile to generate DEB, RPM and TGZ for vzdump
#
# possible targets:
#
# all:          create DEB, RPM and TGZ packages
# clean:        cleanup
# deb:          create debian package
# rpm:	        create rpm package
# srpm:	        create src.rpm package
# dist:         create tgz package
# install:      install files

VERSION=1.2
PACKAGE=vzdump
PKGREL=6

#ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
#RPMARCH:=$(shell rpm --eval %_build_arch)
ARCH=all
RPMARCH=noarch

DESTDIR=
PREFIX=/usr
SBINDIR=${PREFIX}/sbin
MANDIR=${PREFIX}/share/man
PERLLIBDIR=${PREFIX}/share/perl5/PVE
DOCDIR=${PREFIX}/share/doc
MAN1DIR=${MANDIR}/man1/

DEB=${PACKAGE}_${VERSION}-${PKGREL}_${ARCH}.deb
RPM=${PACKAGE}-${VERSION}-${PKGREL}.${RPMARCH}.rpm
SRPM=${PACKAGE}-${VERSION}-${PKGREL}.src.rpm
DISTDIR=$(PACKAGE)-$(VERSION)
TGZ=${DISTDIR}.tar.gz

RPMSRCDIR=$(shell rpm --eval %_sourcedir)
RPMDIR=$(shell rpm --eval %_rpmdir)
SRPMDIR=$(shell rpm --eval %_srcrpmdir)

DISTFILES=			\
	ChangeLog 		\
	TODO			\
	Makefile  		\
	changelog.Debian  	\
	control.in  		\
	vzdump.spec.in		\
	hook-script.pl		\
	copyright  		\
	VZDump.pm 		\
	Plugin.pm 		\
	OpenVZ.pm 		\
	vzrestore		\
	vzdump

PKGSOURCE= 			\
	vzdump 			\
	vzdump.1.gz 		\
	vzrestore 		\
	vzrestore.1.gz 		\
	VZDump.pm 		\
	Plugin.pm 		\
	OpenVZ.pm		\
	control

all: ${TGZ} ${DEB} ${RPM}

control: control.in
	sed -e s/@@ARCH@@/${ARCH}/ -e s/@@VERSION@@/${VERSION}/ -e s/@@PKGRELEASE@@/${PKGREL}/ <$< >$@

vzdump.spec: vzdump.spec.in
	sed -e s/@@ARCH@@/${ARCH}/ -e s/@@VERSION@@/${VERSION}/ -e s/@@PKGRELEASE@@/${PKGREL}/ <$< >$@

.PHONY: install
install: ${PKGSOURCE}
	install -d ${DESTDIR}${SBINDIR}
	install -m 0755 vzdump ${DESTDIR}${SBINDIR}
	install -m 0755 vzrestore ${DESTDIR}${SBINDIR}
	install -d ${DESTDIR}${MAN1DIR}
	install -m 0644 vzdump.1.gz ${DESTDIR}${MAN1DIR}
	install -m 0644 vzrestore.1.gz ${DESTDIR}${MAN1DIR}
	install -d ${DESTDIR}${PERLLIBDIR}
	install -m 0644 VZDump.pm ${DESTDIR}${PERLLIBDIR}
	install -d ${DESTDIR}${PERLLIBDIR}/VZDump
	install -m 0644 Plugin.pm ${DESTDIR}${PERLLIBDIR}/VZDump
	install -m 0644 OpenVZ.pm ${DESTDIR}${PERLLIBDIR}/VZDump


.PHONY: deb
deb ${DEB}: ${PKGSOURCE} ${DISTFILES}
	rm -rf debian
	mkdir debian
	make DESTDIR=debian install
	install -d -m 0755 debian/DEBIAN
	install -m 0644 control debian/DEBIAN
	install -D -m 0644 copyright debian/${DOCDIR}/${PACKAGE}/copyright
	install -D -m 0644 hook-script.pl debian/${DOCDIR}/${PACKAGE}/examples/hook-script.pl
	install -m 0644 changelog.Debian debian/${DOCDIR}/${PACKAGE}/
	install -m 0644 ChangeLog debian/${DOCDIR}/${PACKAGE}/changelog
	gzip -9 debian/${DOCDIR}/${PACKAGE}/changelog.Debian
	gzip -9 debian/${DOCDIR}/${PACKAGE}/changelog
	dpkg-deb --build debian	
	mv debian.deb ${DEB}
	rm -rf debian
	lintian ${DEB}

%.1.gz: %
	rm -f $*.1.gz
	pod2man -n $* -s 1 -r ${VERSION} -c "Proxmox Documentation"  <$* |gzip -c9 >$*.1.gz

.PHONY: rpm
rpm ${RPM}: ${TGZ} ${PACKAGE}.spec
	cp ${TGZ} ${RPMSRCDIR}
	rpmbuild -bb --nodeps --clean --rmsource ${PACKAGE}.spec
	mv ${RPMDIR}/${RPMARCH}/${RPM} ${RPM} 

.PHONY: srpm
srpm ${SRPM}: ${TGZ} ${PACKAGE}.spec
	cp ${TGZ} ${RPMSRCDIR}
	rpmbuild -bs --nodeps --rmsource ${PACKAGE}.spec
	mv ${SRPMDIR}/${SRPM} ${SRPM} 


.PHONY: dist
dist: ${TGZ}

${TGZ}: ${DISTFILES}
	make clean
	rm -rf ${TGZ} ${DISTDIR}
	mkdir ${DISTDIR}
	cp ${DISTFILES} ${DISTDIR}
	tar czvf ${TGZ} ${DISTDIR}
	rm -rf ${DISTDIR} 

.PHONY: clean
clean: 	
	rm -rf debian *~ *.deb *.tar.gz *.rpm *.1.gz vzdump.spec control ${DISTDIR}

=== debian/changelog ===
vzdump (1.2.6-6) unstable; urgency=medium

  * QA upload.
  * Mark source format as 3.0
    - Import old diff in quilt format.
  * Update Standards-Version to 4.5.0
    - Mark priority as optional.
  * Use delhelper-compat.
    - Update to compat level 12.
  * Remove whitespace from rules and changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 27 Apr 2020 23:04:44 +0100

vzdump (1.2.6-5) unstable; urgency=low

  * Maintainer changed to Debian QA Team.

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Sep 2017 22:10:37 +0200

vzdump (1.2.6-4) unstable; urgency=low

  * Simplified rules file significantly.
  * Updated to debhelper compatibility 9.

 -- Ola Lundqvist <opal@debian.org>  Sun, 11 Sep 2016 22:15:49 +0200

vzdump (1.2.6-3) unstable; urgency=low

  * Correction to make it work also with LVM snapshots. Closes: #666064.
    Thanks to Martin Pircher <debianbugs@donotreply.at> for the report
    and patch.
  * Updated to standards version 3.9.1.
  * Changed from dh_clean -k to dh_prep.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Apr 2012 14:36:48 +0200

vzdump (1.2.6-2) unstable; urgency=low

  * CTID is no longer hardcoded in OpenVZ.pm. Closes: #645727. Thanks to
    Jakov Curic <jakov.curic@h1telekom.hr> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Tue, 18 Oct 2011 08:00:30 +0200

vzdump (1.2.6-1) unstable; urgency=low

  * New upstream release.
  * Applied patch from Patrick Ringl <patrick_@freenet.de> that solves a
    problem with LVM2 detection. Closes: #587407.

 -- Ola Lundqvist <opal@debian.org>  Thu, 22 Jul 2010 21:33:07 +0200

vzdump (1.2.4-2) unstable; urgency=low

  * URL in watch file and control file updated.
  * Dependencies updated to reflect the need in the rewritten package.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Nov 2009 07:24:04 +0100

vzdump (1.2.4-1) unstable; urgency=low

  * New upstream release.
    This is a complete rewrite of the software according to upstream.
    The upstream version is called 1.2-4.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Nov 2009 14:02:48 +0100

vzdump (1.0-3) unstable; urgency=low

  * Initial release (Closes: #503147)

 -- Ola Lundqvist <opal@debian.org>  Mon, 06 Apr 2009 20:39:07 +0200

vzdump (1.0-2) unstable; urgency=low

  * bug fix in config parser

 -- Proxmox Support Team <support@proxmox.com>  Thu, 28 Jun 2007 11:38:06 +0200

vzdump (1.0-1) stable; urgency=low

  * set version number to 1.0, because we are quite stable
  * added copyright notice to man page

 -- Proxmox Support Team <support@proxmox.com>  Thu, 10 May 2007 09:50:01 +0200

vzdump (0.4-1) unstable; urgency=low

  * also read config of VEs with ID > 999

 -- Proxmox Support Team <support@proxmox.com>  Mon, 26 Mar 2007 09:05:28 +0200

vzdump (0.3-1) unstable; urgency=low

  * merged in patch from Kir Kolyshkin (rpm related changes)

 -- Proxmox Support Team <support@proxmox.com>  Thu, 22 Mar 2007 08:35:55 +0100

vzdump (0.2-2) unstable; urgency=low

  * changed package dependency (perl > 5.6.0-16, vzdump)

 -- Proxmox Support Team <support@proxmox.com>  Wed, 21 Mar 2007 10:42:10 +0100

vzdump (0.2-1) stable; urgency=low

  * dm2 snapshot support
  * many bug fixes
  * new manual page

 -- Proxmox Support Team <support@proxmox.com>  Mon, 19 Mar 2007 11:10:25 +0100

vzdump (0.1-1) stable; urgency=low

  * first release

 -- Proxmox Support Team <support@proxmox.com>  Wed,  7 Mar 2007 16:20:48 +0100

=== debian/control ===
Source: vzdump
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: http://www.proxmox.com/cms_proxmox/en/virtualization/openvz/vzdump/

Package: vzdump
Architecture: all
Depends: perl, vzctl, cstream, rsync, liblockfile-simple-perl, exim4 | mail-transport-agent, ${shlibs:Depends}, ${misc:Depends}
Suggests: xdelta
Description: OpenVZ backup scripts
 This package contains the vzdump script to backup and restore openvz images.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://www.proxmox.com/cms_proxmox/en/virtualization/openvz/vzdump/ vzdump-(.*)\.tar\.gz
